All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information
Class InternalLoginSitePolicies

    com.sas.services.information.InternalLoginSitePolicies

All Implemented Interfaces:
  java.io.Serializable

    public class InternalLoginSitePolicies

implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`InternalLoginSitePolicies()`
`InternalLoginSitePolicies(int minPasswordLength, boolean isDigitRequired, boolean isMixedCaseRequired, int sizeHistoryList, int passwordChangeDelayMinutes, int expirationDays, int numFailuresForLockout, int lockoutInMinutes, int daysToSuspension)`

Method Summary
`int` | `getDaysToSuspension()`
`int` | `getExpirationDays()`
`int` | `getLockoutInMinutes()`
`int` | `getMinPasswordLength()`
`int` | `getNumFailuresForLockout()`
`int` | `getPasswordChangeDelayMinutes()`
`int` | `getSizeHistoryList()`
`boolean` | `isDigitRequired()`
`boolean` | `isMixedCaseRequired()`
`void` | `setDaysToSuspension(int daysToSuspension)`
`void` | `setDigitRequired(boolean isDigitRequired)`
`void` | `setExpirationDays(int expirationDays)`
`void` | `setLockoutInMinutes(int lockoutInMinutes)`
`void` | `setMinPasswordLength(int minPasswordLength)`
`void` | `setMixedCaseRequired(boolean isMixedCaseRequired)`
`void` | `setNumFailuresForLockout(int numFailuresForLockout)`
`void` | `setPasswordChangeDelayMinutes(int passwordChangeDelayMinutes)`
`void` | `setSizeHistoryList(int sizeHistoryList)`

Constructor Detail

### InternalLoginSitePolicies

    public InternalLoginSitePolicies()

### InternalLoginSitePolicies

    public InternalLoginSitePolicies(int minPasswordLength,
                                     boolean isDigitRequired,
                                     boolean isMixedCaseRequired,
                                     int sizeHistoryList,
                                     int passwordChangeDelayMinutes,
                                     int expirationDays,
                                     int numFailuresForLockout,
                                     int lockoutInMinutes,
                                     int daysToSuspension)

Method Detail

### getDaysToSuspension

    public final int getDaysToSuspension()

### setDaysToSuspension

    public final void setDaysToSuspension(int daysToSuspension)

### getExpirationDays

    public final int getExpirationDays()

### setExpirationDays

    public final void setExpirationDays(int expirationDays)

### isDigitRequired

    public final boolean isDigitRequired()

### setDigitRequired

    public final void setDigitRequired(boolean isDigitRequired)

### isMixedCaseRequired

    public final boolean isMixedCaseRequired()

### setMixedCaseRequired

    public final void setMixedCaseRequired(boolean isMixedCaseRequired)

### getLockoutInMinutes

    public final int getLockoutInMinutes()

### setLockoutInMinutes

    public final void setLockoutInMinutes(int lockoutInMinutes)

### getMinPasswordLength

    public final int getMinPasswordLength()

### setMinPasswordLength

    public final void setMinPasswordLength(int minPasswordLength)

### getNumFailuresForLockout

    public final int getNumFailuresForLockout()

### setNumFailuresForLockout

    public final void setNumFailuresForLockout(int numFailuresForLockout)

### getPasswordChangeDelayMinutes

    public final int getPasswordChangeDelayMinutes()

### setPasswordChangeDelayMinutes

    public final void setPasswordChangeDelayMinutes(int passwordChangeDelayMinutes)

### getSizeHistoryList

    public final int getSizeHistoryList()

### setSizeHistoryList

    public final void setSizeHistoryList(int sizeHistoryList)

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.